List all users in the workspace
GET
/api/v1/iam/users
const url = 'https://example.com/api/v1/iam/users?live=false';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/iam/users?live=false'Retrieves a list of all users in the Databricks workspace with their details.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”live
Live
Fetch live data from Databricks API instead of cached data
boolean
Fetch live data from Databricks API instead of cached data
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}